# Search users by nickname

Searches users by the nickname parameter and gets a list of them. Search can be performed instantly when the user starts entering the search parameter.

The workflow of using this call:
1. The user enters a nickname or tag, or nickname and tag.
2. The Xsolla Login server searches for users in the Login project data of the user who initiated a search.

The current user can execute this call only one time per second.



{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: GET /users/search/by_nickname
Version: v1
Security: Bearer

## Query parameters:

  - `nickname` (string, required)
    The search string that may contain:
* nickname only. Search is performed by substring at the beginning of the nickname.
* tag only, is used with "#" at the beginning. Search is performed by substring at the beginning of the tag.
* nickname and tag together, is used with "#" and without space. Search is performed by full nickname and substring at the beginning of the tag.

  - `offset` (integer)
    Number of the elements from which the list is generated.

  - `limit` (integer)
    Maximum number of users that are returned at a time.

## Response 200 fields (application/json):

  - `offset` (integer, required)
    Number of the elements from which the list is generated.
    Example: 3

  - `total_count` (integer, required)
    Total number of users that you can get.
    Example: 100

  - `users` (array, required)
    List of users’ data.
    Example: [{"avatar":"https://pbs.twimg.com/profile_images/874276177757336672/kUuht00m_400x400.jpg","is_me":true,"last_login":"2018-10-01T13:15:08+05:00","nickname":"Quana","registered":"2018-10-01T13:15:08+05:00","tag":"24234","user_id":"2a6e0079-d7a7-11e8-963b-82010aa80778"},{"avatar":"https://pbs.twimg.com/profile_images/874276177757336222/kUuht00m_400x400.jpg","is_me":false,"last_login":"2018-10-01T13:15:08+05:00","nickname":"Quanare","registered":"2018-10-01T13:15:08+05:00","tag":"249078","user_id":"1e6e2979-d7f7-11e8-963b-42010aa80910"},{"is_me":false,"last_login":"2018-10-01T13:15:08+05:00","nickname":"Quanare","registered":"2018-10-01T13:15:08+05:00","tag":"434535","user_id":"2e6e2979-d7f7-11e8-963b-42010aa80922"}]

  - `users.avatar` (string)
    URL of the user avatar.

  - `users.is_me` (boolean, required)
    Whether the user initiated a search.

  - `users.last_login` (string, required)
    Date of the last user login in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).

  - `users.nickname` (string, required)
    User nickname.

  - `users.registered` (string, required)
    Date of user registration in the [RFC 3339 format](https://www.ietf.org/rfc/rfc3339.txt).

  - `users.tag` (string)
    User tag without "#" at the beginning. Can have no unique value.

  - `users.user_id` (string, required)
    The Xsolla Login user ID. You can find it in [Publisher Account](https://publisher.xsolla.com/) > your Login project > Users > Username/ID.

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 422 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


